# 48. الاستعلام: الحصول على بيانات شبكية من "TopographyMap"

استعلام للحصول على بيانات المصدر من مجموعة البيانات النقطية المتعلقة بـ "خريطة التضاريس" كـ `GEOJSON`  بنقاط أو `GEOTIFF`السمة properties تحتوي على جميع المشتقات الطبوغرافية (مثل نموذج الارتفاع الرقمي، الانحدار، جزء الإغاثة، الخشونة، التعرض، تظليل التلال، إلخ) لكل نقطة.&#x20;

#### 1. اطلب ملفًا للتصدير

{% hint style="danger" %}
يوصى باسترداد مجموعة بيانات واحدة فقط باستخدام `sourceDataUrl` لكل طلب.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`، و `MinusTwoPixels` متاحة كـ `عازل`.

`GEOJSON` و `GEOTIFF` متاحة كصيغة.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromTopographyMap {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      topographyMaps(topographyMapUuids: ["<placeholder_of_topography_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. قم بتنزيل الملف المُولَّد

بعد التحضير الناجح للملف، من الممكن تنزيله باستخدام `curl` أو نهج مشابه.

{% hint style="danger" %}
`sourceDataUrl` الرابط متاح فقط لمدة **60 ثانية.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/48.-alastalam-alhswl-ala-byanat-shbkyh-mn-topographymap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
